#!/bin/bash

# criando uma lista de palavras
lista="Aula PRC; Tecnico em Redes"

# percorrendo a lista de palavras com um for
for i in $lista; do
	echo "palavra: $i"
done

# O resultado sera'
# palavra: Aula
# palavra: PRC;
# palavra: Tecnico
# palavra: em
# palavra: Redes

# Redefinindo a variavel IFS, colocando o caracter ; como delimitador
IFS=";"

# percorrendo a lista de palavras com um for
for i in $lista; do
	echo "palavra: $i"
done

# O resultado sera'
# palavra: Aula PRC
# palavra: Tecnico em Redes

# limpando a variavel IFS (boa pratica) apos seu uso
unset IFS
